import { Component } from '@angular/core';
import { Student} from './models/students';
import { STUDENTS } from './mock/mock-students';
import { Lecture} from './models/lectures';
import { LECTURES } from './mock/mock-lectures';
import { Course} from './models/courses';
import { COURSES } from './mock/mock-courses';
import { Score} from './models/scores';
import { SCORES } from './mock/mock-scores';

@Component({
  selector: 'app-root',
  templateUrl: './app.component.html',
  styleUrls: ['./app.component.css']
})
export class AppComponent {
  title = 'Course Web Application';
  desctiption = 'คำอธิบายรายวิชา';
  students: Student[] = STUDENTS;
  lectures: Lecture[] = LECTURES;
  courses: Course[] = COURSES;
  scores: Score[] = SCORES;





  // students = [
  //   //  {id: 601111111, name:"Tom Hank", email:"tom@gmail.com"},
  //   //  {id: 601111112, name:"Tim Hwak", email:"tim@gmail.com"},
  //   //  {id: 601111113, name:"Jerry Jones", email:"jerry@gmail.com"},
  //   //  {id: 601111114, name:"Jack Frost", email:"jack@gmail.com"},
  // ];

}
